/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: Messages.java 464373 2006-10-16 04:21:54Z rahul $
 */

package org.apache.shale.examples.sqlbrowser;

import org.apache.shale.tiger.managed.Bean;
import org.apache.shale.tiger.managed.Scope;
import org.apache.shale.util.LoadBundle;

/**
 * <p>Proxy for localized messages container for the SQL Browser application.</p>
 */
@Bean(name="messages", scope=Scope.APPLICATION)
public class Messages extends LoadBundle {
    

    /**
     * <p>Creates a new instance of Messages for the default bundle name.</p>
     */
    public Messages() {
        this("org.apache.shale.examples.sqlbrowser.Bundle");
    }
    

    /**
     * <p>Creates a new instance of Messages for the specified bundle name.</p>
     *
     * @param name Name of the resource bundle to be wrapped.</p>
     */
    public Messages(String name) {
        super(name);
    }


}
